org.apache.uima.fit.validation

## Class ValidationCheckFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.uima.fit.validation.ValidationException
      - - org.apache.uima.fit.validation.ValidationCheckException
        - - org.apache.uima.fit.validation.ValidationCheckFailedException

- All Implemented Interfaces:
    Serializable

      public class ValidationCheckFailedException
      extends ValidationCheckException

  Fail the current check.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationCheckFailedException()`
    `ValidationCheckFailedException(String aMessage)`
    `ValidationCheckFailedException(String aMessage, Throwable aCause)`
    `ValidationCheckFailedException(String aMessage, Throwable aCause, boolean aEnableSuppression, boolean aWritableStackTrace)`
    `ValidationCheckFailedException(Throwable aCause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationCheckFailedException

          public ValidationCheckFailedException()

    - #### ValidationCheckFailedException

          public ValidationCheckFailedException(String aMessage,
                                                Throwable aCause,
                                                boolean aEnableSuppression,
                                                boolean aWritableStackTrace)

    - #### ValidationCheckFailedException

          public ValidationCheckFailedException(String aMessage,
                                                Throwable aCause)

    - #### ValidationCheckFailedException

          public ValidationCheckFailedException(String aMessage)

    - #### ValidationCheckFailedException

          public ValidationCheckFailedException(Throwable aCause)

Copyright © 2012–2021 The Apache Software Foundation. All rights reserved.